GUESSNET-SCAN(8)

NAME
guessnet-scan - guess network configuration data by looking at network traffic

SYNOPSIS
guessnet-scan [options] [ethernet_interface]

DESCRIPTION
Guessnet-scan tries to deduce network configuration data by watching network traffic at a given Ethernet interface.

After scanning network traffic for some time, guessnet-scan prints a configuration string suitable for inclusion in /etc/network/interfaces.

Note that guessnet-scan uses heuristics and wild guesses and that the resulting data is not guaranteed to be accurate. The program is intended to be used as a first try at getting network configuration data without bothering anyone.

OPTIONS
Options follow the usual GNU conventions,

--debug
    Print debugging messages.

--help
    Show a brief summary of commandline options.

--init-time=int
    Time in seconds to wait for the interface to initialize when it is not found already up at program startup. Default: 3 seconds.

-t, --timeout=int
    Time in seconds to watch for network traffic. Default: 5 seconds.

-v, --verbose
    Operate verbosely.

--version
    Show the version number of the program.

SCANNING REQUIREMENTS
To correctly identify all data of the local network, guessnet-scan needs to see traffic related to a host in the local network and to the local gateway, if any.

To be able to identify the network gateway, guessnet-scan also needs to see some traffic directed to the external network: you can help the detection by generating some outbound IP traffic during the scan, for example by browsing a web page (without proxy) or using telnet to open a connection to some remote host.

Note that if you are connected to a switch, guessnet-scan won't probably be able to work, since the switch will isolate it from the network traffic that the other machines are generating.

SEE ALSO
guessnet(8), interfaces(5).

AUTHOR
Guessnet-scan was written by Enrico Zini <enrico@debian.org>.